Get sales pipeline

Note:

  • From date and to date are in ISO 8601 format of UTC timezone.
  • Set agentIds to null or exclude it to include all agents in the results.
  • Set stageIds to null or exclude it to include all stages in the results.

Permissions

For API access tokens and OIDC tokens, satisfy at least one of: api, salesanalyticsv3:read. API access tokens may satisfy a listed scope through the configured scope hierarchy; OIDC tokens are checked against their scope claims. Legacy JWT authentication does not use this scope check. Authentication, role, tenant, and applicable feature or plan checks still apply. For HTTP 403, check the credential type, applicable scopes, roles, and workspace access; 403 does not always mean a missing scope. Authentication/authorization failures do not guarantee a JSON response body.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request model for getting the sales pipeline.

date-time
required

The start date to get the sales pipeline in ISO 8601 format of UTC timezone.

date-time
required

The end date to get the sales pipeline in ISO 8601 format of UTC timezone.

agentIds
array of strings | null

The list of agent IDs. Each ID must be a valid ObjectId.
Note: Set agentIds to null or exclude it to include all agents in the results.

agentIds
selectedStageIds
array of strings | null

The list of stage IDs to filter.
Note: Set stageIds to null or exclude it to include all stages in the results.

selectedStageIds
Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

401

The request is unauthorized.

429

Too many requests. Either the rate limit has been exceeded or usage limits have been reached.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json